Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/app.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/app.py	(revision 12064)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/app.py	(revision 12065)
@@ -33,4 +33,6 @@
 
 from waeup.ikoba.customers.container import CustomersContainer
+from waeup.ikoba.products.container import ProductsContainer
+
 
 class Company(grok.Application, grok.Container, Logger):
@@ -85,4 +87,5 @@
         self['mandates'] = MandatesContainer()
         self['customers'] = CustomersContainer()
+        self['products'] = ProductsContainer()
         self._createPlugins()
 
@@ -111,5 +114,7 @@
         self.logger.info('Plugin update finished.')
         return
+
 attrs_to_fields(Company)
+
 
 class ObjectUpgradeEvent(ObjectEvent):
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/permissions.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/permissions.py	(revision 12064)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/permissions.py	(revision 12065)
@@ -1,5 +1,5 @@
 ## $Id$
 ##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.py	(revision 12064)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.py	(revision 12065)
@@ -44,8 +44,8 @@
     grok.name('waeup.Authenticated')
 
-class ViewProductsPermission(grok.Permission):
+class ViewProducts(grok.Permission):
     grok.name('waeup.viewProducts')
 
-class ManageProductsPermission(grok.Permission):
+class ManageProducts(grok.Permission):
     grok.name('waeup.manageProducts')
 
@@ -68,28 +68,6 @@
     grok.name('waeup.exportData')
 
-class ExportPaymentsOverview(grok.Permission):
-    grok.name('waeup.exportPaymentsOverview')
-
-class ExportBursaryData(grok.Permission):
-    grok.name('waeup.exportBursaryData')
-
-class ViewTranscript(grok.Permission):
-    grok.name('waeup.viewTranscript')
-
 class ManagePortalConfiguration(grok.Permission):
     grok.name('waeup.managePortalConfiguration')
-
-class ManageACBatches(grok.Permission):
-    grok.name('waeup.manageACBatches')
-
-class PutBiometricDataPermission(grok.Permission):
-    """Permission to upload/change biometric data.
-    """
-    grok.name('waeup.putBiometricData')
-
-class GetBiometricDataPermission(grok.Permission):
-    """Permission to read biometric data.
-    """
-    grok.name('waeup.getBiometricData')
 
 
@@ -147,5 +125,4 @@
                      'waeup.manageUsers',
                      'waeup.viewProducts', 'waeup.manageProducts',
-                     'waeup.manageACBatches',
                      'waeup.manageDataCenter',
                      'waeup.importData',
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12065)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12065)
@@ -0,0 +1,133 @@
+## $Id$
+##
+## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""UI components for products offered by the company.
+"""
+
+import sys
+import grok
+import pytz
+from urllib import urlencode
+from datetime import datetime
+from zope.event import notify
+from zope.i18n import translate
+from zope.catalog.interfaces import ICatalog
+from zope.component import queryUtility, getUtility, createObject
+from zope.schema.interfaces import ConstraintNotSatisfied, RequiredMissing
+from zope.formlib.textwidgets import BytesDisplayWidget
+from zope.security import checkPermission
+from waeup.ikoba.interfaces import MessageFactory as _
+from waeup.ikoba.interfaces import (
+    IContactForm, IObjectHistory, IIkobaObject, IIkobaUtils)
+from waeup.ikoba.browser.layout import (
+    IkobaPage, IkobaEditFormPage, IkobaAddFormPage, IkobaDisplayFormPage,
+    IkobaForm, NullValidator, jsaction, action, UtilityView)
+from waeup.ikoba.widgets.datewidget import (
+    FriendlyDateWidget, FriendlyDateDisplayWidget,
+    FriendlyDatetimeDisplayWidget)
+from waeup.ikoba.browser.breadcrumbs import Breadcrumb
+
+from waeup.ikoba.products.interfaces import (
+    IProductsContainer, IProduct)
+
+grok.context(IIkobaObject) # Make IKofaObject the default context
+grok.templatedir('browser_templates')
+
+
+class ProductsBreadcrumb(Breadcrumb):
+    """A breadcrumb for the customers container.
+    """
+    grok.context(IProductsContainer)
+    title = _('Products')
+
+
+class ProductBreadcrumb(Breadcrumb):
+    """A breadcrumb for the customer container.
+    """
+    grok.context(IProduct)
+
+    def title(self):
+        return self.context.title
+
+
+class ProductsContainerPage(IkobaDisplayFormPage):
+    """The standard view for product containers.
+    """
+    grok.context(IProductsContainer)
+    grok.name('index')
+    grok.require('waeup.Public')
+    #grok.template('containerpage')
+    pnav = 1
+    label = _('Products')
+
+
+class ProductsContainerManageFormPage(IkobaEditFormPage):
+    """The manage page for customer containers.
+    """
+    grok.context(IProductsContainer)
+    grok.name('manage')
+    grok.require('waeup.manageProducts')
+    #grok.template('containermanagepage')
+    pnav = 1
+    label = _('Manage product section')
+
+
+class ProductAddFormPage(IkobaAddFormPage):
+    """Add-form to add a customer.
+    """
+    grok.context(IProductsContainer)
+    grok.require('waeup.manageProducts')
+    grok.name('addproduct')
+    form_fields = grok.AutoFields(IProduct)
+    label = _('Add product')
+    pnav = 1
+
+    @action(_('Create product'), style='primary')
+    def addProduct(self, **data):
+        product = createObject(u'waeup.Product')
+        self.applyData(product, **data)
+        self.context.addProduct(product)
+        self.flash(_('Product created.'))
+        self.redirect(self.url(self.context[product.product_id], 'index'))
+        return
+
+
+class ProductDisplayFormPage(IkobaDisplayFormPage):
+    """ Page to display product data
+    """
+    grok.context(IProduct)
+    grok.name('index')
+    grok.require('waeup.Public')
+    #grok.template('basepage')
+    form_fields = grok.AutoFields(IProduct)
+    pnav = 1
+
+    @property
+    def label(self):
+        return self.context.title
+
+
+class ProductManageFormPage(IkobaEditFormPage):
+    """ View to manage product data
+    """
+    grok.context(IProduct)
+    grok.name('manage')
+    grok.require('waeup.manageProducts')
+    form_fields = grok.AutoFields(IProduct)
+    #grok.template('basemanagepage')
+    label = _('Manage product')
+    pnav = 1
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/viewlets.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/viewlets.py	(revision 12065)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/viewlets.py	(revision 12065)
@@ -0,0 +1,89 @@
+## $Id$
+##
+## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""Viewlet components for products offered by the company.
+"""
+
+import grok
+from waeup.ikoba.browser.viewlets import (
+    PrimaryNavTab, ManageActionButton, AddActionButton)
+from waeup.ikoba.interfaces import IIkobaObject
+from waeup.ikoba.interfaces import MessageFactory as _
+from waeup.ikoba.browser.viewlets import PrimaryNavTab
+
+from waeup.ikoba.products.interfaces import (
+    IProductsContainer, IProduct)
+from waeup.ikoba.products.browser import (
+    ProductsContainerManageFormPage, ProductsContainerPage,
+    ProductManageFormPage, ProductDisplayFormPage)
+
+
+grok.context(IIkobaObject)  # Make IIkobaObject the default context
+grok.templatedir('browser_templates')
+
+
+class ProductsTab(PrimaryNavTab):
+    """Products tab in primary navigation.
+    """
+
+    grok.context(IIkobaObject)
+    grok.order(1)
+    grok.require('waeup.Public')
+    grok.name('productstab')
+
+    pnav = 1
+    tab_title = _(u'Products')
+
+    @property
+    def link_target(self):
+        return self.view.application_url('products')
+
+class ProductsContainerManageActionButton(ManageActionButton):
+    grok.order(1)
+    grok.context(IProductsContainer)
+    grok.view(ProductsContainerPage)
+    grok.require('waeup.manageProducts')
+    text = _('Manage')
+    target = 'manage'
+
+
+class AddProductActionButton(AddActionButton):
+    grok.order(1)
+    grok.context(IProductsContainer)
+    grok.view(ProductsContainerManageFormPage)
+    grok.require('waeup.manageProducts')
+    text = _('Add product')
+    target = 'addproduct'
+
+
+class ProductViewActionButton(ManageActionButton):
+    grok.order(1)
+    grok.context(IProduct)
+    grok.view(ProductManageFormPage)
+    grok.require('waeup.manageProducts')
+    text = _('View')
+    target = 'index'
+    icon = 'actionicon_view.png'
+
+
+class ProductManageActionButton(ManageActionButton):
+    grok.order(1)
+    grok.context(IProduct)
+    grok.view(ProductDisplayFormPage)
+    grok.require('waeup.manageProducts')
+    text = _('Manage')
+    target = 'manage'