Index: main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.py	(revision 12067)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.py	(revision 12068)
@@ -78,4 +78,11 @@
     grok.title(u'Owner')
     grok.permissions('waeup.editUser')
+
+class ProductManager(grok.Role):
+    grok.name('waeup.local.ProductManager')
+    grok.title(u'Product Manager')
+    grok.permissions('waeup.manageProducts',
+                     'waeup.viewProducts',
+                     'waeup.exportData')
 
 # Site Roles
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.txt	(revision 12067)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/permissions.txt	(revision 12068)
@@ -42,5 +42,5 @@
 
     >>> len(list(get_waeup_roles(also_local=True)))
-    15
+    16
 
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12067)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12068)
@@ -92,6 +92,4 @@
     taboneactions = [_('Save'),_('Cancel')]
     tabtwoactions = [_('Add product'), _('Remove selected'),_('Cancel')]
-    tabthreeactions1 = [_('Remove selected local roles')]
-    tabthreeactions2 = [_('Add local role')]
 
     @jsaction(_('Remove selected'))
@@ -117,12 +115,4 @@
         self.redirect(self.url(self.context, '@@addproduct'))
         return
-
-    @action(_('Add local role'), validator=NullValidator)
-    def addLocalRole(self, **data):
-        return add_local_role(self,3,**data)
-
-    @action(_('Remove selected local roles'))
-    def delLocalRoles(self, **data):
-        return del_local_roles(self,3,**data)
 
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser_templates/containermanagepage.pt	(revision 12067)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser_templates/containermanagepage.pt	(revision 12068)
@@ -11,9 +11,4 @@
       <span i18n:translate="">Products
       </span> </a>
-    </li>
-    <li>
-    <a href="#tab3" data-toggle="tab">
-      <span i18n:translate="">Local Roles
-      </span></a>
     </li>
   </ul>
@@ -63,64 +58,4 @@
       </div>
     </div>
-    <div id="tab3" class="tab-pane"> <br />
-      <table class="ikoba-data-table dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">User Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-            <th i18n:translate="">Local Role
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles">
-            <td>
-              <input type="checkbox" name="role_id"
-              tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
-            <td tal:content="entry/user_name"> USERNAME </td>
-            <td tal:content="entry/user_title"> USERTITLE </td>
-            <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
-          </tr>
-        </tbody>
-      </table>
-      <div tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabthreeactions1"
-                 tal:replace="structure action/render"/>
-        </span>
-      </div><br /><br />
-      <div class="form-inline">
-        <br />
-        <div class="form-group">
-          <select id="user" name="user" class="form-control">
-            <option tal:repeat="user view/getUsers"
-                    tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
-            </option>
-          </select>
-        </div>
-        <div class="form-group">
-          <select id="local_role" name="local_role" class="form-control">
-            <option tal:repeat="localrole view/getLocalRoles"
-                    tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
-            </option>
-          </select>
-        </div>
-        <div class="form-group" tal:condition="view/availableActions">
-          <span tal:repeat="action view/actions" tal:omit-tag="">
-            <input tal:condition="python:action.label in view.tabthreeactions2"
-                   tal:replace="structure action/render"/>
-          </span>
-        </div>
-      </div>
-
-    </div>
   </div>
 </form>
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/product.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/product.py	(revision 12067)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/product.py	(revision 12068)
@@ -39,5 +39,9 @@
     grok.implements(IProduct)
     grok.provides(IProduct)
-    grok.baseclass()
+    #grok.baseclass()
+
+    local_roles = [
+        'waeup.local.ProductManager',
+        ]
 
 Product = attrs_to_fields(Product)