Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 12074)
@@ -55,10 +55,8 @@
         <div id="header-head">
           <div id="logo-container">
-            <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-            </a>
             <h1>
-              <a href="home.html">Nigerian Research and<br/>Education Network
-              <br/><sup><font size="2">RC1011289</font></sup></a>
+              <a class="header-logo" href="home.html">
+                  Nigerian Research and Education Network
+              </a>
             </h1>
           </div>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css	(revision 12074)
@@ -133,6 +133,6 @@
 
 #logo-container {
-  height:90px;
-  margin:20px;
+  height:140px;
+  margin:0px;
   text-align:center;
   float:left;
@@ -146,9 +146,14 @@
 }
 
-#logo-container #logo {
-  float: left;
-  margin: 5px;
-  margin-top: -10px;
-  width: 150px;
+.header-logo {
+  display:block;
+  width:500px;
+  height:125px;
+  background:url(../img/ngren_logo.png) no-repeat;
+  text-indent: 100%;
+  white-space: nowrap;
+  overflow: hidden;
+  margin:0 auto;
+  background-size: 500px;
 }
 
@@ -159,5 +164,5 @@
   top: 0px;
   text-align:left;
-  margin-left:10px;
+  margin-left: 20px;
 }
 
@@ -214,5 +219,5 @@
 
 .navbar-form input[type="text"] {
-  width:200px;
+  width:150px;
 }
 
@@ -786,4 +791,5 @@
 
 @media (max-width: 1200px) {
+
   .left-col, .right-col {
     width:100%;
@@ -800,4 +806,9 @@
 
 @media (max-width: 981px) {
+
+#logo-container h1 {
+    margin: 15px;
+  }
+
   .slider-container .slider-image {
     top:0px;
@@ -827,4 +838,5 @@
 
 @media (max-width: 767px) {
+
 
   /** Base **/
@@ -909,11 +921,12 @@
   /** Header **/
 
-
   #logo-container {
-    margin:10px;
+    margin:0px;
     text-align:none;
-    float:none;
+    float:center;
     position:relative;
-  }
+    height:90px;
+  }
+
 
   #header-head {
@@ -927,17 +940,15 @@
   }
 
-  #logo-container #logo{
-    float:none;
-    display: block;
-    margin-left: auto;
-    margin-right: auto;
-    margin-bottom: 0px;
-    margin-bottom: -15px;
-
-  }
-
-  #logo-container h1 {
-    visibility:hidden;
-    height: 0px;
+
+  .header-logo {
+      display:block;
+      width:300px;
+      height:120px;
+      background:url(../img/ngren_logo.png) no-repeat;
+      text-indent: 100%;
+      white-space: nowrap;
+      overflow: hidden;
+      margin:0 auto;
+      background-size: 300px;
   }
 }
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 12074)
@@ -55,10 +55,8 @@
         <div id="header-head">
           <div id="logo-container">
-            <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-            </a>
             <h1>
-              <a href="home.html">Nigerian Research and<br/>Education Network
-              <br/><sup><font size="2">RC1011289</font></sup></a>
+              <a class="header-logo" href="home.html">
+                  Nigerian Research and Education Network
+              </a>
             </h1>
           </div>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 12074)
@@ -55,32 +55,30 @@
         <div id="header-head">
           <div id="logo-container">
-            <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-            </a>
             <h1>
-              <a href="home.html">Nigerian Research and<br/>Education Network
-              <br/><sup><font size="2">RC1011289</font></sup></a>
+              <a class="header-logo" href="home.html">
+                  Nigerian Research and Education Network
+              </a>
             </h1>
           </div>
-                                        <div class="btn-group pull-right btn-small"
-                                             id="user-options">
-                                          <a class="btn btn-small btn-primary"
-                                             href="#">
-                                            <i class="icon-user icon-white"></i>
-                                            <span id="user-options-name">
-                                              Username
-                                            </span>
-                                          </a>
-                                          <a class="btn btn-small btn-primary
-                                                    dropdown-toggle"
-                                             data-toggle="dropdown"
-                                             href="#">
-                                            <span class="caret"></span>
-                                          </a>
-                                          <ul class="dropdown-menu btn-small">
-                                            <li><a href="#">Dashboard</a></li>
-                                            <li><a href="#">Logout</a></li>
-                                          </ul>
-                                        </div><!-- user-options -->
+          <div class="btn-group pull-right btn-small"
+               id="user-options">
+            <a class="btn btn-small btn-primary"
+               href="#">
+              <i class="icon-user icon-white"></i>
+              <span id="user-options-name">
+                Username
+              </span>
+            </a>
+            <a class="btn btn-small btn-primary
+                      dropdown-toggle"
+               data-toggle="dropdown"
+               href="#">
+              <span class="caret"></span>
+            </a>
+            <ul class="dropdown-menu btn-small">
+              <li><a href="#">Dashboard</a></li>
+              <li><a href="#">Logout</a></li>
+            </ul>
+          </div><!-- user-options -->
           <form class="navbar-form pull-right">
             <input type="text" />
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 12074)
@@ -55,10 +55,8 @@
         <div id="header-head">
           <div id="logo-container">
-            <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-            </a>
             <h1>
-              <a href="home.html">Nigerian Research and<br/>Education Network
-              <br/><sup><font size="2">RC1011289</font></sup></a>
+              <a class="header-logo" href="home.html">
+                  Nigerian Research and Education Network
+              </a>
             </h1>
           </div>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 12074)
@@ -55,10 +55,8 @@
         <div id="header-head">
           <div id="logo-container">
-            <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-            </a>
             <h1>
-              <a href="home.html">Nigerian Research and<br/>Education Network
-              <br/><sup><font size="2">RC1011289</font></sup></a>
+              <a class="header-logo" href="home.html">
+                  Nigerian Research and Education Network
+              </a>
             </h1>
           </div>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 12073)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 12074)
@@ -55,10 +55,8 @@
         <div id="header-head">
           <div id="logo-container">
-            <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-            </a>
             <h1>
-              <a href="home.html">Nigerian Research and<br/>Education Network
-              <br/><sup><font size="2">RC1011289</font></sup></a>
+              <a class="header-logo" href="home.html">
+                  Nigerian Research and Education Network
+              </a>
             </h1>
           </div>