Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py	(revision 12073)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py	(revision 12076)
@@ -114,5 +114,5 @@
 
 
-class CustomersExporter(grok.GlobalUtility, CustomerExporterBase):
+class CustomerExporter(grok.GlobalUtility, CustomerExporterBase):
     """Exporter for Customers.
     """
@@ -134,8 +134,8 @@
             value = str('%s#' % value)
         return super(
-            CustomersExporter, self).mangle_value(
+            CustomerExporter, self).mangle_value(
             value, name, context=context)
 
-class CustomerDocumentsExporter(grok.GlobalUtility, CustomerExporterBase):
+class CustomerDocumentExporter(grok.GlobalUtility, CustomerExporterBase):
     """Exporter for CustomerDocument instances.
     """
@@ -169,4 +169,4 @@
                 value = getattr(customer, name, None)
         return super(
-            CustomerDocumentsExporter, self).mangle_value(
+            CustomerDocumentExporter, self).mangle_value(
             value, name, context=context)
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12073)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12076)
@@ -1,2 +1,23 @@
+## $Id$
+##
+## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""
+Test the customer exporter.
+"""
+
 import os
 import grok
@@ -10,5 +31,5 @@
 from waeup.ikoba.customers.catalog import CustomersQuery
 from waeup.ikoba.customers.export import (
-    CustomersExporter, CustomerDocumentsExporter, get_customers)
+    CustomerExporter, CustomerDocumentExporter, get_customers)
 from waeup.ikoba.customers.interfaces import ICSVCustomerExporter
 from waeup.ikoba.customers.customer import Customer
@@ -38,10 +59,10 @@
         return
 
-class CustomersExporterTest(CustomerImportExportSetup):
+class CustomerExporterTest(CustomerImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(CustomersExporterTest, self).setUp()
+        super(CustomerExporterTest, self).setUp()
         self.setup_for_export()
         return
@@ -49,7 +70,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = CustomersExporter()
+        obj = CustomerExporter()
         verifyObject(ICSVCustomerExporter, obj)
-        verifyClass(ICSVCustomerExporter, CustomersExporter)
+        verifyClass(ICSVCustomerExporter, CustomerExporter)
         return
 
@@ -64,5 +85,5 @@
         # set values we can expect in export file
         self.setup_customer(self.customer)
-        exporter = CustomersExporter()
+        exporter = CustomerExporter()
         exporter.export([self.customer], self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -81,5 +102,5 @@
         # set values we can expect in export file
         self.setup_customer(self.customer)
-        exporter = CustomersExporter()
+        exporter = CustomerExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -96,5 +117,5 @@
         # we can export a single customer
         self.setup_customer(self.customer)
-        exporter = CustomersExporter()
+        exporter = CustomerExporter()
         exporter.export_customer(self.customer, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -108,10 +129,10 @@
         return
 
-class CustomerDocumentsExporterTest(CustomerImportExportSetup):
+class CustomerDocumentExporterTest(CustomerImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(CustomerDocumentsExporterTest, self).setUp()
+        super(CustomerDocumentExporterTest, self).setUp()
         self.setup_for_export()
         return
@@ -119,7 +140,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = CustomerDocumentsExporter()
+        obj = CustomerDocumentExporter()
         verifyObject(ICSVCustomerExporter, obj)
-        verifyClass(ICSVCustomerExporter, CustomerDocumentsExporter)
+        verifyClass(ICSVCustomerExporter, CustomerDocumentExporter)
         return
 
@@ -133,5 +154,5 @@
         # we can export a nearly empty document
         document = CustomerSampleDocument()
-        exporter = CustomerDocumentsExporter()
+        exporter = CustomerDocumentExporter()
         exporter.export([document], self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -148,5 +169,5 @@
         self.setup_customer(self.customer)
         document = self.customer['documents']['d101']
-        exporter = CustomerDocumentsExporter()
+        exporter = CustomerDocumentExporter()
         exporter.export([document], self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -167,5 +188,5 @@
         # set values we can expect in export file
         self.setup_customer(self.customer)
-        exporter = CustomerDocumentsExporter()
+        exporter = CustomerDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -185,5 +206,5 @@
         # set values we can expect in export file
         self.setup_customer(self.customer)
-        exporter = CustomerDocumentsExporter()
+        exporter = CustomerDocumentExporter()
         exporter.export_customer(self.customer, self.outfile)
         result = open(self.outfile, 'rb').read()