Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py	(revision 12078)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py	(revision 12079)
@@ -63,5 +63,5 @@
         return self.export(containers.values(), filepath)
 
-class ApplicantsExporter(grok.GlobalUtility, ExporterBase):
+class ApplicantExporter(grok.GlobalUtility, ExporterBase):
     """Exporter for Applicants.
     """
@@ -88,5 +88,5 @@
             value = str('%s#' % value)
         return super(
-            ApplicantsExporter, self).mangle_value(
+            ApplicantExporter, self).mangle_value(
             value, name, context=context)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 12078)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 12079)
@@ -11,5 +11,5 @@
 from waeup.kofa.applicants import ApplicantsContainer
 from waeup.kofa.applicants.export import (
-    ApplicantsContainerExporter, ApplicantsExporter)
+    ApplicantsContainerExporter, ApplicantExporter)
 from waeup.kofa.applicants.interfaces import (
     AppCatSource, ApplicationTypeSource)
@@ -81,10 +81,10 @@
         return
 
-class ApplicantsExporterTest(ApplicantImportExportSetup):
+class ApplicantExporterTest(ApplicantImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(ApplicantsExporterTest, self).setUp()
+        super(ApplicantExporterTest, self).setUp()
         self.outfile = os.path.join(self.workdir, 'myoutput.csv')
         self.cat = getUtility(ICatalog, name='applicants_catalog')
@@ -94,7 +94,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = ApplicantsExporter()
+        obj = ApplicantExporter()
         verifyObject(ICSVExporter, obj)
-        verifyClass(ICSVExporter, ApplicantsExporter)
+        verifyClass(ICSVExporter, ApplicantExporter)
         return
 
@@ -132,5 +132,5 @@
         # we can export nearly empty applicants
         self.applicant.applicant_id = u'dp2011_654321'
-        exporter = ApplicantsExporter()
+        exporter = ApplicantExporter()
         exporter.export([self.applicant], self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -156,5 +156,5 @@
         # set values we can expect in export file
         applicant = self.setup_applicant(self.applicant)
-        exporter = ApplicantsExporter()
+        exporter = ApplicantExporter()
         exporter.export([applicant], self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -183,5 +183,5 @@
         # set values we can expect in export file
         self.applicant = self.setup_applicant(self.applicant)
-        exporter = ApplicantsExporter()
+        exporter = ApplicantExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -204,5 +204,5 @@
     def test_export_filtered(self):
         self.applicant = self.setup_applicant(self.applicant)
-        exporter = ApplicantsExporter()
+        exporter = ApplicantExporter()
         exporter.export_filtered(
             self.app, self.outfile, container=self.container.code)
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 12078)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 12079)
@@ -226,5 +226,5 @@
 
 
-class StudentsExporter(grok.GlobalUtility, StudentExporterBase):
+class StudentExporter(grok.GlobalUtility, StudentExporterBase):
     """Exporter for Students.
     """
@@ -247,5 +247,5 @@
             value = str('%s#' % value)
         return super(
-            StudentsExporter, self).mangle_value(
+            StudentExporter, self).mangle_value(
             value, name, context=context)
 
@@ -438,5 +438,5 @@
             value, name, context=context)
 
-class StudentPaymentsOverviewExporter(StudentsExporter):
+class StudentPaymentsOverviewExporter(StudentExporter):
     """Exporter for students with payment overview.
     """
@@ -470,8 +470,8 @@
                 value = ''
         return super(
-            StudentsExporter, self).mangle_value(
-            value, name, context=context)
-
-class StudentStudyLevelsOverviewExporter(StudentsExporter):
+            StudentExporter, self).mangle_value(
+            value, name, context=context)
+
+class StudentStudyLevelsOverviewExporter(StudentExporter):
     """Exporter for students with study level overview.
     """
@@ -502,5 +502,5 @@
                     break
         return super(
-            StudentsExporter, self).mangle_value(
+            StudentExporter, self).mangle_value(
             value, name, context=context)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 12078)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 12079)
@@ -10,5 +10,5 @@
 from waeup.kofa.students.catalog import StudentsQuery
 from waeup.kofa.students.export import (
-    StudentsExporter, StudentStudyCourseExporter, StudentStudyLevelExporter,
+    StudentExporter, StudentStudyCourseExporter, StudentStudyLevelExporter,
     CourseTicketExporter, StudentPaymentsExporter, BedTicketsExporter,
     StudentPaymentsOverviewExporter, StudentStudyLevelsOverviewExporter,
@@ -101,5 +101,5 @@
 
 
-class StudentsExporterTest(StudentImportExportSetup):
+class StudentExporterTest(StudentImportExportSetup):
 
     layer = FunctionalLayer
@@ -112,5 +112,5 @@
 
     def setUp(self):
-        super(StudentsExporterTest, self).setUp()
+        super(StudentExporterTest, self).setUp()
         self.setup_for_export()
         return
@@ -118,7 +118,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = StudentsExporter()
+        obj = StudentExporter()
         verifyObject(ICSVStudentExporter, obj)
-        verifyClass(ICSVStudentExporter, StudentsExporter)
+        verifyClass(ICSVStudentExporter, StudentExporter)
         return
 
@@ -133,5 +133,5 @@
         # set values we can expect in export file
         self.setup_student(self.student)
-        exporter = StudentsExporter()
+        exporter = StudentExporter()
         exporter.export([self.student], self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -155,5 +155,5 @@
         # set values we can expect in export file
         self.setup_student(self.student)
-        exporter = StudentsExporter()
+        exporter = StudentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -175,5 +175,5 @@
         # we can export a single student
         self.setup_student(self.student)
-        exporter = StudentsExporter()
+        exporter = StudentExporter()
         exporter.export_student(self.student, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -197,5 +197,5 @@
         self.app['students'].addStudent(self.student)
         notify(grok.ObjectModifiedEvent(self.student))
-        exporter = StudentsExporter()
+        exporter = StudentExporter()
 
         exporter.export_filtered(
@@ -249,5 +249,5 @@
         self.app['students'].addStudent(self.student)
         notify(grok.ObjectModifiedEvent(self.student))
-        exporter = StudentsExporter()
+        exporter = StudentExporter()
         # current_session can be both a string ...
         exporter.export_filtered(
@@ -269,5 +269,5 @@
         self.app['students'].addStudent(self.student)
         notify(grok.ObjectModifiedEvent(self.student))
-        exporter = StudentsExporter()
+        exporter = StudentExporter()
 
         exporter.export_filtered(
Index: main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py	(revision 12078)
+++ main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py	(revision 12079)
@@ -66,5 +66,5 @@
 
 
-class UsersExporter(grok.GlobalUtility, ExporterBase):
+class UserExporter(grok.GlobalUtility, ExporterBase):
     """Exporter for user accounts.
     """
@@ -98,5 +98,5 @@
                 value[role] = object_list
         return super(
-            UsersExporter, self).mangle_value(
+            UserExporter, self).mangle_value(
             value, name, context=context)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.txt	(revision 12078)
+++ main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.txt	(revision 12079)
@@ -50,10 +50,10 @@
 We can export user accounts:
 
-    >>> from waeup.kofa.userscontainer import UsersExporter
+    >>> from waeup.kofa.userscontainer import UserExporter
     >>> import os
     >>> import tempfile
     >>> workdir = tempfile.mkdtemp()
     >>> outfile = os.path.join(workdir, 'myoutput.csv')
-    >>> exporter = UsersExporter()
+    >>> exporter = UserExporter()
     >>> site = {'users':myusers}
     >>> exporter.export_all(site, outfile)