Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py	(revision 12079)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py	(revision 12080)
@@ -20,9 +20,9 @@
 import grok
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
-from waeup.kofa.applicants.export import ApplicantsExporter
+from waeup.kofa.applicants.export import ApplicantExporter
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
 
-class NigeriaApplicantsExporter(ApplicantsExporter):
+class NigeriaApplicantExporter(ApplicantExporter):
     """Exporter for Nigeria Applicants.
     """
@@ -38,4 +38,4 @@
             value = [eval(entry.to_string()) for entry in value]
         return super(
-            NigeriaApplicantsExporter, self).mangle_value(
+            NigeriaApplicantExporter, self).mangle_value(
             value, name, context=context)
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 12079)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 12080)
@@ -40,5 +40,5 @@
 from waeup.kofa.interfaces import IBatchProcessor
 from kofacustom.nigeria.testing import FunctionalLayer
-from kofacustom.nigeria.applicants.export import NigeriaApplicantsExporter
+from kofacustom.nigeria.applicants.export import NigeriaApplicantExporter
 from kofacustom.nigeria.applicants.batching import NigeriaApplicantProcessor
 
@@ -320,10 +320,10 @@
         return
 
-class ApplicantsExporterTest(ApplicantImportExportSetup):
+class ApplicantExporterTest(ApplicantImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(ApplicantsExporterTest, self).setUp()
+        super(ApplicantExporterTest, self).setUp()
         self.outfile = os.path.join(self.workdir, 'myoutput.csv')
         self.cat = getUtility(ICatalog, name='applicants_catalog')
@@ -357,5 +357,5 @@
         # set values we can expect in export file
         self.applicant = self.setup_applicant(self.applicant)
-        exporter = NigeriaApplicantsExporter()
+        exporter = NigeriaApplicantExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/export.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/export.py	(revision 12079)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/export.py	(revision 12080)
@@ -25,5 +25,5 @@
     INigeriaStudentOnlinePayment)
 from waeup.kofa.students.export import (
-    StudentsExporter,
+    StudentExporter,
     StudentStudyCourseExporter,
     StudentStudyLevelExporter,
@@ -32,5 +32,5 @@
 from waeup.kofa.utils.helpers import iface_names
 
-class NigeriaStudentsExporter(StudentsExporter):
+class NigeriaStudentExporter(StudentExporter):
     """Exporter for Students.
     """
@@ -46,5 +46,5 @@
             value = [eval(entry.to_string()) for entry in value]
         return super(
-            NigeriaStudentsExporter, self).mangle_value(
+            NigeriaStudentExporter, self).mangle_value(
             value, name, context=context)
 
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 12079)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 12080)
@@ -8,14 +8,14 @@
 from kofacustom.nigeria.utils.utils import NigeriaKofaUtils
 from kofacustom.nigeria.students.export import (
-    NigeriaStudentsExporter, NigeriaStudentPaymentsExporter)
+    NigeriaStudentExporter, NigeriaStudentPaymentsExporter)
 from kofacustom.nigeria.testing import FunctionalLayer
 
 
-class NigeriaStudentsExporterTest(StudentImportExportSetup):
+class NigeriaStudentExporterTest(StudentImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(NigeriaStudentsExporterTest, self).setUp()
+        super(NigeriaStudentExporterTest, self).setUp()
         self.setup_for_export()
         result_entry = ResultEntry(
@@ -33,7 +33,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = NigeriaStudentsExporter()
+        obj = NigeriaStudentExporter()
         verifyObject(ICSVExporter, obj)
-        verifyClass(ICSVExporter, NigeriaStudentsExporter)
+        verifyClass(ICSVExporter, NigeriaStudentExporter)
         return
 
@@ -43,5 +43,5 @@
         # set values we can expect in export file
         self.setup_student(self.student)
-        exporter = NigeriaStudentsExporter()
+        exporter = NigeriaStudentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()