Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/export.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/export.py	(revision 11941)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/export.py	(revision 12084)
@@ -20,5 +20,5 @@
 import grok
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
-from kofacustom.nigeria.applicants.export import NigeriaApplicantsExporter
+from kofacustom.nigeria.applicants.export import NigeriaApplicantExporter
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
@@ -26,5 +26,5 @@
     ICustomUGApplicant, ICustomPGApplicant)
 
-class CustomApplicantsExporter(NigeriaApplicantsExporter):
+class CustomApplicantExporter(NigeriaApplicantExporter):
     """Exporter for Custom Applicants.
     """
Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 11941)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 12084)
@@ -29,5 +29,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.skeleton.applicants.export import CustomApplicantsExporter
+from kofacustom.skeleton.applicants.export import CustomApplicantExporter
 from kofacustom.skeleton.applicants.batching import CustomApplicantProcessor
 
@@ -37,10 +37,10 @@
     layer = FunctionalLayer
 
-class ApplicantsExporterTest(ApplicantImportExportSetup):
+class ApplicantExporterTest(ApplicantImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(ApplicantsExporterTest, self).setUp()
+        super(ApplicantExporterTest, self).setUp()
         self.outfile = os.path.join(self.workdir, 'myoutput.csv')
         self.cat = getUtility(ICatalog, name='applicants_catalog')
@@ -74,5 +74,5 @@
         # set values we can expect in export file
         self.applicant = self.setup_applicant(self.applicant)
-        exporter = CustomApplicantsExporter()
+        exporter = CustomApplicantExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/export.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/export.py	(revision 11941)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/export.py	(revision 12084)
@@ -25,5 +25,5 @@
     ICustomStudentOnlinePayment)
 from kofacustom.nigeria.students.export import (
-    NigeriaStudentsExporter,
+    NigeriaStudentExporter,
     NigeriaStudentStudyCourseExporter,
     NigeriaStudentStudyLevelExporter,
@@ -32,5 +32,5 @@
 from waeup.kofa.utils.helpers import iface_names
 
-class CustomStudentsExporter(NigeriaStudentsExporter):
+class CustomStudentExporter(NigeriaStudentExporter):
     """Exporter for Students.
     """
Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 11941)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 12084)
@@ -7,14 +7,14 @@
 from kofacustom.skeleton.utils.utils import CustomKofaUtils
 from kofacustom.skeleton.students.export import (
-    CustomStudentsExporter, CustomStudentPaymentsExporter)
+    CustomStudentExporter, CustomStudentPaymentsExporter)
 from kofacustom.skeleton.testing import FunctionalLayer
 
 
-class CustomStudentsExporterTest(StudentImportExportSetup):
+class CustomStudentExporterTest(StudentImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(CustomStudentsExporterTest, self).setUp()
+        super(CustomStudentExporterTest, self).setUp()
         self.setup_for_export()
         result_entry = ResultEntry(
@@ -32,7 +32,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = CustomStudentsExporter()
+        obj = CustomStudentExporter()
         verifyObject(ICSVExporter, obj)
-        verifyClass(ICSVExporter, CustomStudentsExporter)
+        verifyClass(ICSVExporter, CustomStudentExporter)
         return
 
@@ -42,5 +42,5 @@
         # set values we can expect in export file
         self.setup_student(self.student)
-        exporter = CustomStudentsExporter()
+        exporter = CustomStudentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()